> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List networks

> List the customer networks owned by the team



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /prefixes
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Prefixes
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /prefixes:
    get:
      tags:
        - Prefixes
      summary: List networks
      description: List the customer networks owned by the team
      operationId: get-prefixes
      parameters:
        - name: filter[project]
          in: query
          required: false
          schema:
            type: string
        - name: filter[site]
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/prefixes'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.prefixes.getPrefixes();

              console.log(result);
            }

            run();
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Prefixes.GetPrefixes(ctx, nil, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Prefixes != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    prefixes:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/prefix_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    prefix_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - prefixes
        attributes:
          type: object
          properties:
            ipv4:
              type: string
              description: The IPv4 network in CIDR notation (e.g., "203.0.113.0/27")
            ipv6:
              type: string
              nullable: true
              description: >-
                The paired IPv6 /64 in CIDR notation (e.g.,
                "2001:db8:1234::/64")
            size:
              type: integer
              description: >-
                IPv4 prefix length. Determines how many servers the network can
                host.
              enum:
                - 26
                - 27
                - 28
                - 29
            activated:
              type: boolean
              description: >-
                True once a server has been added to the network and the network
                is ready to use.
            capacity:
              type: integer
              description: Servers this network can host
            ips_used:
              type: integer
            ips_free:
              type: integer
            created_at:
              type: string
              format: date-time
            project:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            region:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                name:
                  type: string
                location:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````